package com.hfkj.service.discount;

import com.hfkj.entity.CouponDiscount;
import com.hfkj.entity.CouponDiscountUserRel;

import java.util.List;
import java.util.Map;

public interface CouponDiscountUserRelService {

    /**
     * @Author Sum1Dream
     * @Name create
     * @Description // 创建
     * @Date 15:11 2024/4/19
     * @Param CouponDiscount
     * @return void
     */
    void create(CouponDiscountUserRel couponDiscountUserRel);

    /**
     * 修改
     * @param couponDiscountUserRel
     */
    void update(CouponDiscountUserRel couponDiscountUserRel);

    /**
     * @Author Sum1Dream
     * @Name getList
     * @Description // 根据多条件查询列表
     * @Date 15:13 2024/4/19
     * @Param map
     * @return java.util.List<com.hfkj.entity.CouponDiscount>
     */
    List<CouponDiscountUserRel> getList(Map<String , Object> map);

    /**
     * 查询关系
     * @param id
     * @return
     */
    CouponDiscountUserRel getRel(Long id);
}
